%define name	ant-phone
%define version	0.1.12
%define release %mkrel 2

Name: 	 	%{name}
Summary:	Desktop ISDN telephony application 	
Version: 	%{version}
Release: 	%{release}

Source:		http://www.antcom.de/ant-phone/download/%{name}-%{version}.tar.bz2
URL:		http://www.antcom.de/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig 
BuildRequires:  gettext 
BuildRequires:  flex 
BuildRequires:  bison 
BuildRequires:  gtk+2-devel
BuildRequires:	libsndfile-devel

%description
ANT is a desktop ISDN telephony application written for GNU/Linux. It supports
OSS (Open Sound System) and I4L (ISDN4Linux).  It directly interfaces OSS and
ISDN devices, so there is no need to install extra software or hardware like
PBX (Private Branch Exchange) or telephony cards, if you've got direct access
to an audio capable ISDN card (teles or HiSax chipset, e.g. AVM Fritz Card)
and a full duplex soundcard or two sound devices.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
icon="communications_phone_section.png" \
needs="x11" \
title="ANT-phone" \
longtitle="ISDN Telephone" \
section="Office/Communications/Phone" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=ANT-phone
Comment=ISDN Telephone
Exec=%{_bindir}/%{name} 
Icon=communications_phone_section
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-Office-Communications-Phone;Network;Telephony;
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS README AUTHORS ChangeLog TODO COPYING
%{_bindir}/%name
%{_mandir}/man1/%name.1.*
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Tue Sep 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.12-2mdv2007.0
- XDG

* Tue Apr 25 2006 Austin Acton <austin@mandriva.org> 0.1.12-1mdk
- New release 0.1.12

* Wed Nov 23 2005 Austin Acton <austin@mandriva.org> 0.1.11-1mdk
- New release 0.1.11

* Wed Aug 24 2005 Austin Acton <austin@mandriva.org> 0.1.10-1mdk
- 0.1.10
- source URL
- configure 2.5

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.1.9-2mdk
- Fix menu

* Sun Jan 11 2004 Austin Acton <austin@linux.ca> 0.1.9-1mdk
- 0.1.9

* Mon Dec 15 2003 Franck Villaume <fvill@freesurf.fr> 0.1.8-2mdk
- add BuildRequires : libsndfile-devel
- mv libgtk+2.0-devel to gtk+2-devel for 64bits

* Sun Nov 30 2003 Austin Acton <aacton@yorku.ca> 0.1.8-1mdk
- 0.1.8

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 0.1.4-2mdk
- move meny entry to Applications/Communications

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 0.1.4-1mdk
- initial package
